@import url(../fonts/flaticon/flaticon.css);
@import url(../css/revise.css);

.wow {
  visibility: hidden;
}
.wow.animate__animated {
  visibility: visible;
}

/*========================================================
                         基本設定
=========================================================*/

/* 基礎重置 */
*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background: url(../img/body-bg.png);
  background-position: 0 top;
  background-repeat: repeat-y;
  font-family: "Noto Sans TC", Arial, Helvetica, sans-serif;
  font-weight: 400;
  line-height: 32px;
  font-size: 1rem;
  color: #231815;
  overflow-x: hidden;
  background-color: #fff;
  position: relative;
}

p {
  margin: unset;
}

/* google recaptcha 隱藏 */
.grecaptcha-badge {
  visibility: hidden;
}
.pc {
  display: none;
}
.mb {
  display: block;
}
section {
  min-height: 800px;
}

@media screen and (min-width: 1100px),
  screen and (min-width: 1024px) and (max-height: 650px) {
  .pc {
    display: block;
  }
  .mb {
    display: none;
  }
  section {
    min-height: unset;
  }
}

/*========================================================
                          nav
=========================================================*/

.navbar {
  padding: 0;
  position: fixed;
  z-index: 9999;
  top: 0;
  right: 0;
  display: flex;
  justify-content: end;
  /* Sticky */
  opacity: 0;
  transform: translateY(-10px);
  transition: all 0.5s;
}
.navbar .navbar-Link {
  display: flex;
  flex-direction: column;
}
.navbar .navbar-Link .btn {
  flex: 1;
  font-size: 1rem;
  color: #fff;
  padding: 20px;
  text-align: center;
  background-color: transparent;
  border-color: transparent;
  transition: all 0.4s;
  box-shadow: 0 0 0;
  text-shadow: 0 0 10px rgba(67, 66, 66, 0.678);
}
.navbar .navbar-Link .btn:hover,
.navbar .navbar-Link .btn:active {
  border-color: transparent;
}
.navbar .navbar-Link .btn:hover i,
.navbar .navbar-Link .btn:active i {
  font-size: 2.2rem;
  transition: all 0.4s;
}
.navbar .navbar-Link .btn i {
  display: block;
  font-size: 1.5rem;
}
.navbar .navbar-Link .btn span {
  display: block;
  font-size: 0.8rem;
}
.navbar.Sticky {
  opacity: 1;
  transform: translateY(0px);
  transition: all 0.5s;
}
@media (max-width: 991px) {
  .navbar {
    box-shadow: 0px -6px 20px rgba(0, 0, 0, 0.1);
    bottom: 0;
    top: auto;
    width: 100%;
    background-color: rgba(252, 252, 252, 0.571);
    -webkit-backdrop-filter: saturate(180%) blur(20px);
    backdrop-filter: saturate(180%) blur(20px);
  }
  .navbar .navbar-brand {
    display: none;
  }
  .navbar .navbar-Link {
    width: 100%;
    flex-direction: row;
  }
  .navbar .navbar-Link .btn {
    min-width: auto;
    font-size: 14px;
    padding: 10px 0;
    padding-bottom: 14px;
    text-shadow: 0 0 0;
    color: rgb(214 21 24 / 75%);
    border-left: 1px solid rgba(118, 114, 114, 0.1921568627);
  }
  .navbar .navbar-Link .btn:hover,
  .navbar .navbar-Link .btn:active {
    border-color: transparent;
    border-left: 1px solid rgba(118, 114, 114, 0.1921568627);
  }
  .navbar .navbar-Link .btn:hover i,
  .navbar .navbar-Link .btn:active i {
    font-size: 1rem;
  }
  .navbar .navbar-Link .btn i {
    display: block;
    font-size: 1rem;
  }
  .navbar .navbar-Link .btn span {
    display: none;
  }
}

/*========================================================
  區塊1
=========================================================*/
.section1 {
  position: relative;
  width: 100%;
  height: 100vh;
  height: 100svh;
  background: url(../img/kv-bg.png) 80% center;
  display: flex;
  justify-content: center;
}
.s1 {
  width: 80%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.s1 .box {
  width: 100%;
  text-align: center;
  margin-top: 45%;
}
.s1 .box img {
  width: 100%;
  object-fit: cover;
}
.s1 .box .kv-logo {
  width: 75%;
}
.s1 .box .kv-t1 {
  margin: 8% 0;
}
.s1 .box .kv-t2 {
  width: 75%;
}
.kv-deco {
  position: absolute;
  right: -25%;
  bottom: -10%;
  width: 250%;
}
.kv-woman {
  position: absolute;
  right: 5%;
  bottom: 0;
  width: 65%;
}

@media screen and (min-width: 540px) {
  .section1 {
    min-height: unset;
  }
  .s1 {
    width: 63%;
  }
  .s1 .box {
    margin-top: 30%;
  }
  .kv-woman {
    width: 44%;
  }
  .kv-deco {
    bottom: -15%;
    width: 200%;
  }
}

@media screen and (min-width: 1100px),
  screen and (min-width: 1024px) and (max-height: 650px) {
  .s1 {
    width: 40%;
  }
  .s1 .box {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 85%;
    height: 85%;
    margin-top: unset;
    margin-right: 60%;
  }
  .kv-woman {
    right: 9%;
    width: 30%;
  }
  .kv-deco {
    right: 0;
    bottom: -20%;
    width: 100%;
  }
}

@media screen and (min-width: 1500px) {
  .s1 .box {
    width: 80%;
  }
  .kv-woman {
    width: 28%;
  }
}

/*========================================================
  區塊2
=========================================================*/
.section2 {
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  padding: 10% 0;
}
.s2 {
  margin-top: 15%;
  width: 85%;
  height: 100%;
  display: flex;
  flex-direction: column;
}
.s2 .title {
  font-family: "Noto Serif TC";
  font-weight: 600;
  font-size: 18px;
  margin-bottom: 5%;
}
.s2-p1 {
  width: 100%;
  margin: 5% 0;
}
.s2-p1 img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media screen and (min-width: 768px) {
  .s2 {
    width: 80%;
  }
  .s2 .title {
    font-size: 24px;
    line-height: 40px;
  }
  .s2 span {
    font-size: 20px;
    line-height: 40px;
  }
}
@media screen and (min-width: 1100px),
  screen and (min-width: 1024px) and (max-height: 650px) {
  .section2 {
    height: 120vh;
    padding: unset;
  }
  .s2 {
    width: 90%;
    align-items: center;
    justify-content: center;
    margin-top: unset;
  }
  .s2 .box {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    width: 90%;
    height: 60%;
    margin-top: 8%;
  }
  .s2-p1 {
    width: 50%;
    margin: unset;
  }
  .s2 .text {
    width: 40%;
  }
  .s2 .title {
    font-size: 24px;
    line-height: 40px;
    margin-bottom: 15%;
  }
  .s2 span {
    font-size: 18px;
    line-height: 36px;
  }
}

@media screen and (min-width: 1500px) {
  .s2 .title {
    font-size: 28px;
    line-height: 42px;
  }
  .s2 span {
    font-size: 20px;
    line-height: 40px;
  }
}

/*========================================================
  區塊3
=========================================================*/
.section3 {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
}
.block {
  background: url(../img/block-bg.png) left center no-repeat;
  background-size: cover;
  width: 100%;
  height: 100%;
  padding: 30px 25px;
  display: flex;
  gap: 20px;
}
.block .title {
  width: 45%;
  object-fit: contain;
  flex: 1;
}
.sky {
  position: relative;
  z-index: -1;
  width: 210%;
  left: -60%;
}
.sky img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.location {
  position: absolute;
  left: 0;
  top: 0;
}
/* 睿泰絵下方光束 */
.aerial_light_wrapper {
  position: absolute;
  left: 54.5%;
  top: 54%;
  transform: translate(-50%, -50%);
  width: 3%;
  height: 20%;
  pointer-events: none;
}
.aerial_light_col {
  position: absolute;
  width: 75%;
  height: 85%;
  background: linear-gradient(
    0deg,
    rgba(255, 251, 177, 0.3),
    rgba(255, 251, 177, 0.1)
  );
  border-radius: 0 0 10px 10px;
  animation: flash 2s linear infinite;
}
.aerial_light_content {
  position: relative;
  width: 75%;
  height: 65%;
}
.aerial_light {
  position: absolute;
  top: 100%;
  width: 2px;
  height: 2px;
  background-color: #fffbb1;
  opacity: 0;
  transform: translateY(0);
  will-change: transform, opacity;
  backface-visibility: hidden;
}
.aerial_light:before {
  content: "";
  position: absolute;
  width: 3px;
  height: 4px;
  border-radius: 50%;
  background: rgba(255, 251, 177, 1);
  box-shadow:
    0 0 15px 3px #fffbb1,
    0 0 10px 2px #fffbb1,
    0 0 15px 3px #fffbb1,
    0 0 5px 1px #fff,
    0 0 15px 3px #fff,
    0 0 10px 2px #fff;
}
.aerial_light1 {
  left: 0;
  animation: light 4s linear infinite;
  animation-delay: -1s;
}
.aerial_light2 {
  left: 20%;
  animation: light 6s linear infinite;
  animation-delay: -2s;
}
.aerial_light3 {
  left: 40%;
  animation: light 8s linear infinite;
  animation-delay: -3s;
}
.aerial_light4 {
  left: 80%;
  animation: light 10s linear infinite;
  animation-delay: -4s;
}
.aerial_light5 {
  left: 100%;
  animation: light 12s linear infinite;
  animation-delay: -5s;
}

@keyframes flash {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@keyframes light {
  0% {
    opacity: 0;
    transform: translateY(0);
  }
  10% {
    opacity: 1;
  }
  60% {
    opacity: 1;
  }
  82% {
    opacity: 0;
  }
  100% {
    opacity: 0;
    transform: translateY(-180px);
  }
}
.sky-txt {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: absolute;
  top: 17.5%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 75%;
}
.sky-txt img,
.content2 img {
  width: 100%;
  object-fit: cover;
}
.sky-txt .title {
  margin-bottom: 10%;
}
.content2 {
  display: flex;
  justify-content: center;
  position: absolute;
  bottom: 3%;
  left: 50%;
  transform: translate(-50%, 0%);
  width: 75%;
}

@media screen and (min-width: 768px) {
  .block {
    padding: 45px;
  }
  .block .title {
    flex: unset;
    width: 35%;
  }
  .sky {
    width: 150%;
    left: -30%;
  }
  .sky-txt {
    top: 17%;
    width: 50%;
  }
  .content2 {
    width: 50%;
  }
  .sky::after {
    top: 42%;
    width: 27px;
  }
}

@media screen and (min-width: 1100px),
  screen and (min-width: 1024px) and (max-height: 650px) {
  .block {
    padding: 4% 8% 4% 15%;
  }
  .block .title {
    width: 25%;
  }
  .sky {
    width: 100%;
    left: 0;
  }
  .sky-txt {
    flex-direction: row;
    justify-content: center;
    top: 15%;
    left: 50%;
    width: 65%;
  }
  .sky-txt .title {
    margin-bottom: unset;
  }
  .content2 {
    width: 55%;
    left: 65%;
    bottom: 5%;
  }
  .sky-txt img {
    margin: 0 3%;
  }
  .sky-txt img,
  .content2 img {
    width: 50%;
  }
  .sky::after {
    top: 45%;
    width: 38px;
    height: 300px;
  }
}

@media screen and (min-width: 1500px) {
  .sky-txt {
    width: 60%;
  }
  .content2 {
    width: 50%;
    left: 65%;
    bottom: 5%;
  }
}

/*========================================================
  區塊4
=========================================================*/

.section4 {
  position: relative;
  width: 100%;
  height: 100%;
  padding: 40px 0;
}
.section4 .box {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  height: 100%;
  margin: 5% 0 10% 0;
}
.pic-title {
  width: 55%;
}
.pic-title img {
  width: 100%;
  object-fit: cover;
}
.pic {
  position: relative;
  display: flex;
  align-items: center;
  width: 100%;
}
.pic .pic-swiper {
  width: 100%;
}
.pic .pic-swiper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.pic .pic-swiper .pic-txt {
  font-size: 14px;
  font-family: "Noto Serif TC";
  font-weight: 700;
  letter-spacing: 1.5px;
  text-shadow:
    1px 1px 2px #000,
    1px 1px 2px #000;
  position: absolute;
  color: #fff;
  left: 50%;
  bottom: 3%;
  transform: translate(-50%, 0);
}
.pic .pic-swiper .swiper-pagination {
  position: relative;
  margin: 5% 0 2.5% 0;
}
.pic .pic-swiper .swiper-pagination .swiper-pagination-bullet {
  opacity: 1;
}
.swiper-pagination-bullet-active {
  background: #d61518 !important;
}

@media screen and (min-width: 768px) {
  .section4 {
    padding: 80px 0;
  }
  .pic-title {
    width: 40%;
  }
  .pic .pic-swiper .pic-txt {
    font-size: 16px;
  }
  .section4 .swiper-slide {
    width: 65%;
  }
}

@media screen and (min-width: 1100px),
  screen and (min-width: 1024px) and (max-height: 650px) {
  .section4 {
    padding: 80px 0 0 0;
  }
  .pic-title {
    width: 27%;
  }
  .pic .pic-swiper .pic-txt {
    font-size: 18px;
  }
  .pic .pic-swiper .swiper-pagination {
    margin: 3% 0 1% 0;
  }
}

@media screen and (min-width: 1500px) {
  .pic-title {
    width: 22%;
  }
}

/*========================================================
  區塊5
=========================================================*/
.section5 {
  position: relative;
  width: 100%;
  height: 100%;
  padding-bottom: 15%;
  display: flex;
  justify-content: center;
}
.s5 {
  width: 90%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.space {
  display: flex;
  flex-direction: column;
  width: 75%;
  height: 100%;
}
.space-t1 {
  margin: 20% 0 3% 0;
}
.space-t2 {
  margin: 3% 0 10% 0;
}
.space-list {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, minmax(165px, 1fr));
  gap: 15px;
  margin: 5% 0;
}
@media screen and (max-width: 345px) {
  .space-list {
    gap: 10px;
    grid-template-columns: repeat(2, minmax(150px, 1fr));
  }
}
.item {
  position: relative;
  background-color: #fff;
  display: flex;
  flex-direction: column;
  justify-content: center;
  font-family: "Noto Serif TC";
  font-weight: 700;
  border-radius: 5px;
  box-shadow: 0px 2.5px 5px 1px rgb(214 21 24 / 20%);
}
.item .dot {
  position: absolute;
  top: 2%;
  right: 4%;
  content: "";
  width: 12.5px;
  height: 12.5px;
  border-radius: 50px;
  background-color: #d61518;
}
.item-pic {
  aspect-ratio: 1 / 1;
}
.item-pic img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}
.item-text {
  flex: 1;
  padding: 5% 5% 15% 10%;
}
.item-title {
  color: #d61518;
  margin-bottom: 3%;
}
.item-content {
  display: block;
  font-size: 11px;
  line-height: 2;
}
.space-p1 {
  object-position: 10%;
}
.space-p2 {
  object-position: 0;
}
.space-p3 {
  object-position: 20%;
}
.space-p4 {
  object-position: 75%;
}
.space-p5 {
  object-position: 30%;
}
.space-p6 {
  object-position: 63%;
}

@media screen and (min-width: 768px) {
  .section5 {
    padding-bottom: 5%;
  }
  .space {
    width: 60%;
  }
  .space-list {
    grid-template-columns: repeat(3, minmax(165px, 1fr));
    gap: 30px 15px;
    margin: 5% 0;
  }
  .item-title {
    font-size: 20px;
  }
  .item-content {
    font-size: 12px;
  }
  .item .dot {
    width: 16px;
    height: 16px;
  }
}

@media screen and (min-width: 1100px),
  screen and (min-width: 1024px) and (max-height: 650px) {
  .section5 {
    padding-bottom: unset;
  }
  .space {
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 5%;
    width: 90%;
    max-width: 850px;
    margin: 12% 0 0 0;
  }
  .space img {
    width: 45%;
    object-fit: cover;
  }
  .space-t1,
  .space-t2 {
    margin: unset;
  }
  .space-list {
    width: 80%;
    max-width: 900px;
  }
}

@media screen and (min-width: 1500px) {
  .space img {
    width: 50%;
  }
}
/*========================================================
  區塊6
=========================================================*/
.section6 {
  position: relative;
  width: 100%;
  height: 100%;
  padding-bottom: 15%;
  display: flex;
  justify-content: center;
}
.s6 {
  width: 90%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.ruitai {
  width: 60%;
  margin-top: 20%;
}
.ruitai img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.s6-t1 {
  font-family: "Noto Serif TC";
  font-size: 24px;
  font-weight: 700;
  color: #000;
  margin: 10% 0 30% 0;
}
.s6-t2 {
  width: 65%;
  margin-bottom: 15%;
}
.s6-t3 {
  text-align: center;
  margin-bottom: 10%;
}
.HHH {
  width: 100%;
}
.HHH-t1,
.HHH-t2 {
  padding: 0 10%;
}
.HHH-t1 {
  border-left: 1.5px solid #d61518;
  margin: 10% 0 15% 0;
}
.HHH-t1 p {
  display: block;
  margin-bottom: 5%;
  font-family: "Noto Serif TC";
  font-size: 28px;
  font-weight: 600;
  color: #d61518;
}
.HHH-t2 {
  border-left: 1.5px solid #d61518;
  border-right: 1.5px solid #d61518;
  margin: 15% 0 10% 0;
}
.HHH-p1 {
  width: 100%;
  object-fit: cover;
}
.s6 .pic {
  overflow: hidden;
}
.s6 .pic .pic-swiper .pic-txt {
  font-size: 12px;
  left: auto;
  right: 3%;
  bottom: 1%;
  transform: unset;
}

@media screen and (min-width: 768px) {
  .section6 {
    padding-bottom: 80px;
  }
  .ruitai {
    width: 42.5%;
  }
  .s6-t1 {
    font-size: 26px;
    margin: 5% 0 25% 0;
  }
  .s6-t2 {
    width: 47.5%;
  }
  .s6-t3 {
    font-size: 20px;
    line-height: 40px;
  }
  .HHH-t1 {
    margin: 8% 0;
  }
  .HHH-t1 p {
    font-size: 40px;
  }
  .HHH-t1 span {
    font-size: 18px;
  }
  .HHH-t2 {
    margin: 8% 0;
  }
  .s6 .pic .pic-swiper .pic-txt {
    font-size: 16px;
  }
}

@media screen and (min-width: 1100px),
  screen and (min-width: 1024px) and (max-height: 650px) {
  .s6 {
    width: 85%;
  }
  .ruitai {
    width: 25%;
    margin-top: 15%;
  }
  .s6-t1 {
    font-size: 32px;
    margin: 4% 0 15% 0;
  }
  .s6-t2 {
    width: 25%;
    margin-bottom: 5%;
  }
  .s6-t3 {
    font-size: 18px;
    line-height: 36px;
  }
  .HHH {
    display: flex;
    margin-bottom: 5%;
  }
  .HHH-t1,
  .HHH-t2 {
    width: 50%;
    margin: unset;
    padding: 0 6%;
  }
  .HHH-t1 p {
    line-height: normal;
  }
  .HHH-t1 span {
    font-size: 16px;
  }
  .s6 .pic .pic-swiper .pic-txt {
    font-size: 18px;
    bottom: 3%;
  }
}

@media screen and (min-width: 1500px) {
  .s6 {
    width: 80%;
  }
}
/*========================================================
  區塊7
=========================================================*/
.section7 {
  min-height: 900px;
  position: relative;
  width: 100%;
  height: 105vh;
  background: url(../img/kv-bg-rv.png) 20% center;
  display: flex;
  justify-content: center;
}
.s7 {
  width: 70%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.s7 .box {
  width: 100%;
  text-align: center;
  margin-top: 30%;
}
.s7 .box img {
  width: 100%;
  object-fit: cover;
}
.s7 .kv-content {
  margin: 15% 0;
}
.section7 .kv-woman {
  position: absolute;
  right: 5%;
  bottom: 0;
  width: 65%;
}

@media screen and (min-width: 768px) {
  .s7 {
    width: 100%;
    align-items: start;
  }
  .s7 .box {
    width: 50%;
    margin-top: 20%;
    margin-left: 10%;
  }
  .section7 .kv-woman {
    width: 45%;
  }
}

@media screen and (min-width: 1100px),
  screen and (min-width: 1024px) and (max-height: 650px) {
  .section7 {
    height: 110vh;
  }
  .s7 .box {
    width: 28%;
    margin-top: 12%;
    margin-left: 24%;
  }
  .section7 .kv-woman {
    width: 33%;
  }
}

@media screen and (min-width: 1500px) {
  .section7 {
    min-height: 1100px;
  }
  .s7 .box {
    width: 23%;
  }
  .section7 .kv-woman {
    width: 30%;
    right: 8%;
  }
}

/*========================================================
  預約賞屋
=========================================================*/

.reservation {
  width: 100%;
  height: 100%;
  min-height: 850px;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 40px 0;
}
.reservation .bg {
  position: absolute;
  top: -10%;
  z-index: 1;
  width: 100%;
  height: 110%;
  background: url(../img/res-bg.png) no-repeat 70% top;
  background-size: cover;
  overflow: initial;
}
.reservation .box {
  z-index: 2;
  max-width: 800px;
  width: 90%;
  text-align: center;
}
.reservation .input-block {
  display: flex;
  flex-wrap: wrap;
  gap: 14px;
  margin-bottom: 20px;
}
.form-txt {
  font-family: "Noto Serif TC";
  font-size: 22px;
  font-weight: 700;
  letter-spacing: 8px;
  color: #fff;
  margin: 5% 0;
}
#myform {
  text-align: center;
}
/* 所有欄位預設一列寬 */
.reservation .input-block input,
.reservation .input-block select {
  flex: 1 1 100%;
}
.reservation .form_check_txt {
  color: #fff;
  font-size: 14px;
  margin-left: 3px;
  line-height: 1.8;
}
.reservation .form_check_txt a {
  text-decoration: none;
  color: #fff;
}
.reservation .reg_btn {
  position: relative;
  font-family: "Noto Serif TC";
  font-weight: 700;
  background-color: transparent;
  color: #fff;
  font-size: 18px;
  letter-spacing: 5px;
  border: 1px solid #fff;
  margin-top: 20px;
  padding: 8px 20px 8px 22.5px;
}
.reservation .reg_disabled {
  cursor: no-drop;
  opacity: 0.8;
}
.reservation .reg_btn:hover {
  background-color: rgb(255 255 255 / 30%);
  opacity: 1;
}
.reservation .reg_btn::before {
  content: "";
  width: 0%;
  height: 100%;
  display: block;
  background-color: rgb(255 255 255 / 30%);
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  transition: all 0.3s ease;
}
.reservation .reg_btn:hover::before {
  width: 100%;
  height: 100%;
  opacity: 1;
}
.reservation .reg_btn:focus {
  outline: unset;
}
.reservation .reg_disabled:hover {
  background-color: rgb(255 255 255 / 20%);
  opacity: 0.8;
}
.reservation .msgerror {
  color: rgb(255, 255, 255);
  font-size: 14px;
  text-align: center;
  margin-top: 10px;
}
input,
select {
  background-color: #fff;
  border-radius: unset;
  color: #231815;
  border: 1px solid #c5c2c2;
  border-radius: 8px;
  padding-left: 15px;
}
input[type="text"],
input[type="phone"],
select {
  height: 45px;
  width: 100%;
}
input[type="text"]:focus,
input[type="phone"]:focus,
select:focus {
  outline-color: rgb(194, 186, 165);
}
select {
  background-image: url(../img/arrow.png);
  background-repeat: no-repeat;
  background-position: center right;
  background-size: 24px auto;
  appearance: none;
  -moz-appearance: none;
  -webkit-appearance: none;
}
::placeholder {
  color: rgba(159, 160, 160, 1) !important;
}
:-ms-input-placeholder {
  color: rgba(159, 160, 160, 1) !important;
}
::-ms-input-placeholder {
  color: rgba(159, 160, 160, 1) !important;
}
.input-error {
  border: 2.5px solid #7d7979 !important;
}
.input-error:focus {
  outline: 0;
  box-shadow: 0 0 10px 3px rgb(149 149 149) !important;
}

@media screen and (min-width: 768px) {
  .form-txt {
    font-size: 26px;
    letter-spacing: 12px;
  }
  .reservation .input-block .field-group-half {
    flex: 1 1 calc(50% - 7px); /* 兩欄，中間 gap 是14px */
  }
  .reservation .input-block .field-group-full {
    flex: 1 1 100%;
  }
  .reservation .reg_btn {
    max-width: 300px;
  }
  .reservation .box {
    width: 85%;
  }
  #myform {
    font-size: 16px;
  }
}
@media screen and (min-width: 1024px) {
  .reservation {
    margin-bottom: unset;
  }
}
@media screen and (min-width: 1100px),
  screen and (min-width: 1024px) and (max-height: 650px) {
  .reservation {
    justify-content: center;
    min-height: 750px;
    height: 100vh;
  }
  .reservation .box {
    width: 80%;
    max-width: 750px;
    margin-top: unset;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
  .form-txt {
    font-size: 26px;
  }
}
@media screen and (min-width: 1500px) {
  .reservation .bg {
    top: -15%;
    height: 115%;
  }
  .reservation .box {
    max-width: 850px;
  }
  .form-txt {
    font-size: 30px;
  }
  .reservation .form_check_txt {
    font-size: 16px;
  }
}

/*========================================================
                         隱私權聲明
=========================================================*/

.fancybox-container {
  z-index: 9999999;
}

.modal-body {
  overflow-y: auto;
  padding: 20px;
}

.modal-header {
  border-bottom: none;
}

.modal-body h2 {
  text-align: center;
  margin-bottom: 20px;
}

.modal-body p span {
  font-weight: bold;
  font-size: 1.1rem;
}

.modal-dialog {
  font-family: "HunInn";
  margin-bottom: 80px;
}

@media (min-width: 576px) {
  .modal-body {
    padding: 20px 40px;
  }

  .modal-dialog {
    max-width: 1000px;
  }
}

@media (min-width: 1024px) {
  .modal-body {
    padding: 20px 80px;
  }

  .modal-dialog {
    max-width: 1200px;
    margin-bottom: 0;
  }
}

[data-aos="custom-zoom-out"] {
  transform: scale(1.2);
  opacity: 1;
  transition-property: transform, opacity;
  transition:
    transform 5s ease,
    opacity 3s ease !important;
}

[data-aos="custom-zoom-out"].aos-animate {
  transform: scale(1);
  opacity: 1;
}

[data-aos="custom-fade-up"] {
  transform: translateY(30px);
  opacity: 0;
  transition-property: transform, opacity;
}

[data-aos="custom-fade-up"].aos-animate {
  transform: translateY(0);
  opacity: 1;
}

[data-aos="custom-fade-down"] {
  transform: translateY(-30px);
  opacity: 0;
  transition-property: transform, opacity;
}

[data-aos="custom-fade-down"].aos-animate {
  transform: translateY(0);
  opacity: 1;
}

[data-aos="fade"] {
  opacity: 0;
  transition: opacity 2s ease;
}

[data-aos="fade"].aos-animate {
  opacity: 1;
}
